Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.retab.com/v1/tables/{table_id}/validate \ --header 'Api-Key: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "required_columns": [], "columns": {}, "unique": [] } '
{ "table_id": "<string>", "diagnostics": [], "has_errors": false }
result = client.tables.validate( table_id="tbl_123", required_columns=["countrycode"], )
const result = await client.tables.validate("tbl_123", ["countrycode"]);
result, err := client.Tables.Validate(ctx, "tbl_123", &retab.TablesValidateParams{ RequiredColumns: []string{"countrycode"}, })
// Validate table requirements with the Retab Java client.
curl -X POST https://api.retab.com/v1/tables/tbl_123/validate \ -H "Api-Key: $RETAB_API_KEY" \ -H "Content-Type: application/json" \ -d '{"required_columns":["countrycode"]}'
Show child attributes
Successful Response